%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Summary:	Conservative garbage collector for C
Name:		gc
Version:	7.1
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/%{name}/
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}-%{version}.tar.gz
BuildRequires:	libatomic_ops-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n %{libname}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Obsoletes:	%{name} < 7.1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n %{develname}
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	%{mklibname gc 1 -d} < 7.1
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Header files and documentation needed to develop programs that use Bohem's GC

%package -n %{staticname}
Summary:	Static libraries for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	%{mklibname gc 1 -d -s} < 7.1
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{staticname}
Static libraries neded to develop programs that use Bohem's GC

%prep
%setup -q

%build
# refresh auto*/libtool to purge rpaths
rm -f libtool libtool.m4
libtoolize --force
autoreconf -i

%configure2_5x \
    --disable-dependency-tracking \
    --enable-cplusplus \
    %ifarch %{ix86}
    --enable-parallel-mark \
    %endif
    --enable-threads=pthreads
        
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

rm -rf %{buildroot}%{_datadir}

install -m644 doc/gc.man -D %{buildroot}%{_mandir}/man3/gc.3

#rm -f %{buildroot}%{_docdir}/gc

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc README.QUICK
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc doc/*.html
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/gc
%{_includedir}/%{name}/*
%{_includedir}/*h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man?/*

%files -n %{staticname}
%defattr(-, root, root)
%{_libdir}/*.a


%changelog
* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 7.1-2mdv2009.0
+ Revision: 288616
- rebuild

* Fri Jul 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 7.1-1mdv2009.0
+ Revision: 231792
- rename
- update to new version 7.1
- new library policy
- spec file clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:6.8-2mdv2008.1
+ Revision: 150564
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0:6.8-1mdv2008.0
+ Revision: 27627
- Updated to 6.8.
- Minor identation fixes.

